Extended Member Data
GET/client/users/:correlation_id/profile/emd
This API can be used to get EMD from the account. The businessUnit is specified as a query parameter. If the businessUnit is not provided in the query parameters, then the default businessUnit for the loyalty program is used.
Note the situation and error handling for this request:
-
If businessUnit is invalid - An error is returned specifying that the provided business unit is not configured: {businessUnit}.
-
If the proper configuration file is not created for that client - Return an empty object {}.
-
If the account is closed - Return an empty object {}.
-
If the proper configuration file is created - Return only allowed attributes for the passed or default BU.
-
ExtendedData and SourceExtendedData allowed in the configuration file are returned in the response.
Request
Body
There is no body for this request.
Response
| Attribute | Definition | Format | Notes |
|---|---|---|---|
| Object of key value pair | Get the exposed extended member data attributes of account. | Object | The object contains separate objects for each element in the EMD. Each of these objects contains the related attributes. |
Error Responses
| statusCode | errorMessage | errorCode | Definition |
|---|---|---|---|
| 400 Bad Request | Provided business unit is not configured: invalid. | INVALID_REQUEST |
Request
Responses
- 200
- 400
200 - Return EMD Values
400 - BU is Not Configured